cURL
curl --request GET \ --url https://api.energy-hub.io/v1.0.0/link/users/{userId}/vendor-accounts/{vendorAccountId}/tariffs \ --header 'X-API-KEY: <api-key>'
200
Example
{ "totalPages": 1, "content": [ { "isLinked": true, "vendor": "TIBBER", "countryCode": "DE", "name": "Tibber Bürgerfelder Str.", "externalId": "8413731391660801", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ], "totalElements": 1 }
Returns tariffs for vendor account directly from vendor API.
API key used for authorization and authentication.
User ID
Vendor account ID
Zero-based page index (0..N)
x >= 0
The size of the page to be returned. Default value is 10. Maximum value is 100.
1 <= x <= 100
Successful operation
Total number of pages.
1
Elements in the page. If there is no elements the list will be empty.
Show child attributes
Total number of elements.